package com.epson.iprint.prtlogger;

import android.content.Context;


import java.io.Serializable;

import epson.print.MyPrinter;

public class CommonLog implements Serializable {
    public int action;
    public String callerPackage;
    public int connectionType;
    public int numberOfSheet;
    public String printerName;

    public void setPrinterName(@NonNull Context context) {
        printerName = MyPrinter.getCurPrinter(context).getName();
    }

    public void setConnectionType(@NonNull Context context) {
        connectionType = Analytics.getConnectionType(context);
    }
}
